from django.views.generic import TemplateView

from bds.autocomplete import bds_search
from bds.mixins import StaffRequiredMixin
from shared.views import AutocompleteView


class BDSAutocompleteView(StaffRequiredMixin, AutocompleteView):
    template_name = "bds/search_results.html"
    search_composer = bds_search


class Home(StaffRequiredMixin, TemplateView):
    template_name = "bds/home.html"
